--[[
 -- @Description:
 -- Hello , DiaoSi ~ ( or not ? ) ,glad you saw my comment
 -- If you think my mod is okay , you can sponsor my breakfast by a tiny amount donation  ($_$)
 -- paypal:td1madao@163.com     alipay:td1madao@163.com
 -- If any question ,Please email me
 -- What's more ,don't modify and republish my mods . 3Q for cooperation
 -- What's more ,don't modify and republish my mods . 3Q for cooperation
 -- What's more ,don't modify and republish my mods . 3Q for cooperation
 -- @version 1.0.0
 -- @author td1madao
 -- @email td1madao@163.com
 -- @qq 360810498
 -- @date 16/8/6
 ]]
local TD = TD.td1madao.rivendst
TD.action("rivendstcastq", _G.TUNING.TD_STR_1, nil, function(act)
    TD.see("rivendstcastq")
    TD.getC(act.doer, "rivendst_common_skill_manager"):player_sendRPC("q")
    return true
end)
TD.action("rivendstcaste", _G.TUNING.TD_STR_1, nil, function(act)
    TD.see("rivendstcaste")
    TD.getC(act.doer, "rivendst_common_skill_manager"):player_sendRPC("e")
    return true
end)
TD.action("rivendstcastr", _G.TUNING.TD_STR_1, nil, function(act)
    TD.see("rivendstcastr")
    TD.getC(act.doer, "rivendst_common_skill_manager"):player_sendRPC("r")
    return true
end)
TD.action("rivendstcancel", _G.TUNING.TD_STR_2, nil, function(act)
    TD.see("rivendstcancel")
    TD.getC(act.doer, "rivendst_common_skill_manager"):player_removeTag()
    return true
end)